ApiCallback (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.client

## Interface ApiCallback<T>

- Type Parameters:
    `T` - The return type

      public interface ApiCallback<T>

  Callback for asynchronous API call.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onDownloadProgress(long bytesRead, long contentLength, boolean done)` This is called when the API downlond processing.
    `void` | `onFailure(ApiException e, int statusCode, Map<String,List<String>> responseHeaders)` This is called when the API call fails.
    `void` | `onSuccess(T result, int statusCode, Map<String,List<String>> responseHeaders)` This is called when the API call succeeded.
    `void` | `onUploadProgress(long bytesWritten, long contentLength, boolean done)` This is called when the API upload processing.

- - ### Method Detail

    - #### onFailure

          void onFailure(ApiException e,
                         int statusCode,
                         Map<String,List<String>> responseHeaders)

      This is called when the API call fails.
      Parameters:
        `e` - The exception causing the failure
        `statusCode` - Status code of the response if available, otherwise it would be 0
        `responseHeaders` - Headers of the response if available, otherwise it would be null

    - #### onSuccess

          void onSuccess(T result,
                         int statusCode,
                         Map<String,List<String>> responseHeaders)

      This is called when the API call succeeded.
      Parameters:
        `result` - The result deserialized from response
        `statusCode` - Status code of the response
        `responseHeaders` - Headers of the response

    - #### onUploadProgress

          void onUploadProgress(long bytesWritten,
                                long contentLength,
                                boolean done)

      This is called when the API upload processing.
      Parameters:
        `bytesWritten` - bytes Written
        `contentLength` - content length of request body
        `done` - write end

    - #### onDownloadProgress

          void onDownloadProgress(long bytesRead,
                                  long contentLength,
                                  boolean done)

      This is called when the API downlond processing.
      Parameters:
        `bytesRead` - bytes Read
        `contentLength` - content lenngth of the response
        `done` - Read end

Copyright © 2026. All rights reserved.